summaryrefslogtreecommitdiffstats
path: root/bin/.bin/show-colors
diff options
context:
space:
mode:
Diffstat (limited to 'bin/.bin/show-colors')
-rwxr-xr-xbin/.bin/show-colors29
1 files changed, 29 insertions, 0 deletions
diff --git a/bin/.bin/show-colors b/bin/.bin/show-colors
new file mode 100755
index 0000000..47e0d32
--- /dev/null
+++ b/bin/.bin/show-colors
@@ -0,0 +1,29 @@
+#!/bin/sh
+set -eu
+set -o pipefail
+
+############################################################
+# Nico Golde <nico(at)ngolde.de> Homepage: http://www.ngolde.de
+# Last change: Mon Feb 16 16:24:41 CET 2004
+############################################################
+
+for attr in 0 1 2 3 4 5 6 7; do
+ echo "----------------------------------------------------------------"
+ printf 'ESC[%s;Foreground;Background - \n' $attr
+ for fore in 30 31 32 33 34 35 36 37; do
+ for back in 40 41 42 43 44 45 46 47; do
+ printf '\033[%s;%s;%sm %02s;%02s ' $attr $fore $back $fore $back
+ done
+ printf '\033[0m\n'
+ done
+ printf '\033[0m'
+done
+
+printf '\n'
+for color in $(seq 0 255); do
+ printf '\033[%s;%s;%sm \033[m' 48 5 "$color"
+ if [ "$color" -eq 15 ] || [ "$(echo "scale = 0; ($color - 15) % 36" | bc)" -eq 0 ]; then
+ printf '\n'
+ fi
+done
+printf '\033[0m\n'